/// <reference types="@vueuse/shared" />
import type { IdNameKv } from '../../../../api/guardBasic/interface';
/** 角色 */
export declare const useRoleListStore: import("pinia").StoreDefinition<"gmRoleList", Pick<{
    roleList: import("@vueuse/shared").RemovableRef<IdNameKv[]>;
    isLoading: import("vue").Ref<boolean>;
    getRoleList: () => Promise<void>;
}, "isLoading" | "roleList">, Pick<{
    roleList: import("@vueuse/shared").RemovableRef<IdNameKv[]>;
    isLoading: import("vue").Ref<boolean>;
    getRoleList: () => Promise<void>;
}, never>, Pick<{
    roleList: import("@vueuse/shared").RemovableRef<IdNameKv[]>;
    isLoading: import("vue").Ref<boolean>;
    getRoleList: () => Promise<void>;
}, "getRoleList">>;
